## org.jfree.chart.event
Class PlotChangeEvent

    java.lang.Object
      java.util.EventObject
          org.jfree.chart.event.ChartChangeEvent
              org.jfree.chart.event.PlotChangeEvent

All Implemented Interfaces:
  java.io.Serializable

public class PlotChangeEvent
extends ChartChangeEvent

An event that can be forwarded to any `PlotChangeListener` to signal a change to a plot.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.event.ChartChangeEvent
`GENERAL, NEW_DATASET, UPDATED_DATASET`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PlotChangeEvent(Plot plot)` Creates a new PlotChangeEvent.

Method Summary
`Plot` `getPlot()` Returns the plot that generated the event.

Methods inherited from class org.jfree.chart.event.ChartChangeEvent
`getChart, getType, setChart, setType`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlotChangeEvent

    public PlotChangeEvent(Plot plot)

  Creates a new PlotChangeEvent.

Parameters:
  `plot` - the plot that generated the event.

Method Detail

### getPlot

    public Plot getPlot()

  Returns the plot that generated the event.

  Returns:
    the plot that generated the event.